ReflectionParameter::isDefaultValueConstant
ReflectionParameter::isPassedByReference
ReflectionParameter
PHP Manual

# ReflectionParameter::isOptional

(PHP 5 >= 5.0.3)

ReflectionParameter::isOptional — Checks if optional

### Description

public bool ReflectionParameter::isOptional ( void )

Checks if the parameter is optional.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the parameter is optional, otherwise `FALSE`

### See Also

- ReflectionParameter::getName() - Gets parameter name

ReflectionParameter::isDefaultValueConstant
ReflectionParameter::isPassedByReference
ReflectionParameter
PHP Manual